# $Revision: 1.19 $, $Date: 2008/11/05 23:29:29 $
Summary:	XprintAppUtil library
Summary(pl.UTF-8):	Biblioteka XprintAppUtil
Name:		xorg-lib-libXprintAppUtil
Version:	1.0.1
Release:	5
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXprintAppUtil-%{version}.tar.bz2
# Source0-md5:	d2de510570aa6714681109b2ba178365
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXprintUtil-devel
BuildRequires:	xorg-util-util-macros
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XprintAppUtil library.

%description -l pl.UTF-8
Biblioteka XprintAppUtil.

%package devel
Summary:	Header files for libXprintAppUtil library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXprintAppUtil
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXprintUtil-devel

%description devel
XprintAppUtil library.

This package contains the header files needed to develop programs that
use libXprintAppUtil.

%description devel -l pl.UTF-8
Biblioteka XprintAppUtil.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXprintAppUtil.

%package static
Summary:	Static libXprintAppUtil library
Summary(pl.UTF-8):	Biblioteka statyczna libXprintAppUtil
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
XprintAppUtil library.

This package contains the static libXprintAppUtil library.

%description static -l pl.UTF-8
Biblioteka XprintAppUtil.

Pakiet zawiera statyczną bibliotekę libXprintAppUtil.

%prep
%setup -q -n libXprintAppUtil-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libXprintAppUtil.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXprintAppUtil.so
%{_libdir}/libXprintAppUtil.la
%dir %{_includedir}/X11/XprintAppUtil
%{_includedir}/X11/XprintAppUtil/*.h
%{_pkgconfigdir}/xprintapputil.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXprintAppUtil.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXprintAppUtil.spec,v $
Revision 1.19  2008/11/05 23:29:29  arekm
- release 5

Revision 1.18  2008/07/27 23:04:34  arekm
- release 4

Revision 1.17  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.15  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.14  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.13  2006/10/14 17:57:03  qboosh
- use individual dir, release 1

Revision 1.12  2005/12/28 11:54:06  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.11  2005/12/20 13:25:51  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.10  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 11:49:53  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 21:29:41  qboosh
- own /usr/include/X11/XprintAppUtil dir

Revision 1.6  2005/10/20 21:27:04  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 18:46:09  qboosh
- just name in BuildRoot

Revision 1.3  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 00:13:44  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- removed redundant BR: libX11-devel, libXp-devel
- added R: libXprintUtil-devel to devel package
- release 0.03

* Fri Aug 12 2005 13:04:49  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix}
- added %%doc
- release 0.02

* Fri Aug  5 2005 15:49:27  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
